Сайт | Скачать | Видео | Wiki

Автор Тема: PRA-roll. Поиск дистрибутива для создания приложения на Qt 5.10  (Прочитано 853 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн p-serg

  • Новичок
  • *
  • Сообщений: 20
  • Репутация: +0/-0
Начинал я на Z80, i8088, и ДВК-3, юзал "дискетки" 8 дюймов. Мне уже "косить"  не нужно - ни под кого! Ладно, приеду -  "пойду" на fl.ru
Я всегда знал, что MAC-и и Android  == nix
НО смогли же сделать!! Нет там команды su do (сразу после загрузки! её там искать и искать).
Уехал в лес на неделю  - сори!

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 22724
  • Репутация: +165/-0
    • PuppyRus-A
"пойду" на fl.ru
Для Вашей задачи это будет лучше. У нас собирают и юзают дистры под домашнее применение
Внедрежом коммерческого ПО мы не занимаемся

И обдумайте идею про сайт вместо приложения. Удачи!

Оффлайн p-serg

  • Новичок
  • *
  • Сообщений: 20
  • Репутация: +0/-0
Скачал с родного сайта  QT=>
https://www.qt.io/download-qt-installer?hsCtaTracking=9f6a2170-a938-42df-a8e2-a9f0b1d6cdce%7C6cb0de4f-9bb5-4778-ab02-bfb62735f3e5
инсталлер: (31,4 М)   qt-unified-linux-x64-3.0.4-online.run
так понимаю, что запросто он не запустится командой sudo sh '...' и ничего не поставит...
Нужно идти в Арч-Репу и искать там свежий пакет QT Creater и делать из него с помощью pacman2 модуль .pfs
Пральна?

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 454
  • Репутация: +26/-0
sudo pacman2pfs qtcreator

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 22724
  • Репутация: +165/-0
    • PuppyRus-A
запросто он не запустится командой sudo sh '...' и ничего не поставит...
Запустится и что-то поставит. Возможно придется что-то допиливать.
Чем не устроил пакет из арчрепы?

Онлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5395
  • Репутация: +114/-0
    • RoDoN
live@pra-roll:~$ sudo pacman2pfs gtcreater
Очистить кэш пакетов? [Y/n] y
rm: невозможно удалить '/var/cache/pacman/pkg/*': Нет такого файла или каталога
ошибка: противоречивая информация в базе данных 2a-any: не совпадает имя пакета frozen
ошибка: противоречивая информация в базе данных 2a-any: не совпадает версия пакета frozen
ошибка: не найдена цель: gtcreater
Все правильно, там же очепятка, сначала вроде бы ставил qtcreater

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 454
  • Репутация: +26/-0
ну и что мне это дало...??
Как можно исковеркать простую команду.
Всего лишь скопировать и вставить в терминал.
sudo pacman2pfs qtcreator

Оффлайн p-serg

  • Новичок
  • *
  • Сообщений: 20
  • Репутация: +0/-0
За опечатку прошу прощения!
Большое спасибо knn, который прислал готовые *.pfs модули (QT) для чайников и "появился" QT в меню GUI
Теперь две маленькие проблемки...
1) после запуска timeviewr-a  пропадает менюшки GUI в левом углу экрана. Как их восстановить?

2) при попытке собрать минимальную тестовую программку в QT Creator получаем:
21:40:16: Выполняются этапы для проекта Test1...
21:40:16: Запускается: «/usr/bin/qmake» '/home/live/Рабочий стол/test_project/Test1/Test1.pro' -spec linux-g++
21:40:16: Процесс «/usr/bin/qmake» завершился успешно.
21:40:16: Невозможно запустить процесс «make» qmake_all
Ошибка при сборке/установке проекта Test1 (комплект: Desktop)
Комплект Desktop имеет недостатки в конфигурации, которые могут быть источниками данной проблемы.
Во время выполнения этапа «qmake»
21:40:16: Прошло времени: 00:00.

это "смертельно"?
боюсь, что...что-то не установилось..может такое быть?

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 454
  • Репутация: +26/-0
Невозможно запустить процесс «make» qmake_all
В PRA, когда надо что-то компилировать, подключают модуль DEVX
 Из WIKI: Необходимые для компиляции пакеты (gcc, make и т.п.) и части пакетов (/include и пр.) из базовых модулей выделены в отдельный модуль DEVX. Загрузить : sfs-get DEVX.

 DEVX-prar-180101-sf02.pfs
https://mirror.yandex.ru/puppyrus/roll/180101/   

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 532
  • Репутация: +14/-0
модули (QT) для чайников и "появился" QT в меню GUI
сам qt-прилож. с помощью "ассистент" и "десингер" пока собирать не пробовал.
Названия - какой-то командой (~= поиск по имени файла) => qt5-tools и wt5-webkit(не доставало какой-то библиотеки) => pacman2pfs(вышнобознач-е): !!! при "выкачке какого-то пакета, был запрос(на выбор ""чего-то") => может не совсем то выбрал(точно не помню).

Еще возможно собирал на не совсем чистой сборке(lxqt). А может и DEVX(~а) будет достаточно.

Модули:
 (qt5-tools-180101.pfs
https://yadi.sk/d/olAxiVCW3VwZUQ
------
qt5-webkit-180101.pfs
https://yadi.sk/d/Z5kU2Ra13VwZWY
========
еще конечно нужен
http://mirror.yandex.ru/puppyrus/roll/180101/030-qt5-base-5.10.0-1-180101-sf02.pfs  (в lxqt-сборке уже есть.))
« Последнее редактирование: 16 Май 2018, 03:01:01 от knn »
Samsung RV510: intel pent.T4500; чипсет intel Gl40; ATI mob. Radeon HD 5145, RAM=3Gb; hd1=320Gb - Grub2+G4d; hd2=230 Gb - Grub4Dos; PRA, PRA-64-07 - frugal, copy2ram.
HP-mini-210VT: ]Intel Atom N470; чипсет Intel NM10; 2 Гб DDR2;  Видеопроцессор Intel GMA 3150; RAM=2Gb,PRA-64-07 - frugal, copy2ram.
PRA-модули

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 22724
  • Репутация: +165/-0
    • PuppyRus-A